View Issue Details

IDProjectCategoryView StatusLast Update
14875Bug reports[All Projects] Installationpublic2019-05-29 16:39
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14875: No error is shown at debug=0 if DB is broken
Description

When DB don't exist : white page, no error shown if debug = 0.

Steps To Reproduce

Install, rename DB , check

Additional Information

I don't remind what his happen in 2.6lts and before, but maybe we can throw error (with vanilla theme) even if debug = 0 ?
Because it's hard to fix DB when didn't know what happen

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.2 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-05-09 16:03

developer  

CDbException.html (30,514 bytes)
dominikvitt

dominikvitt

2019-05-10 14:31

developer   ~51864

This issue is related to your commit, exception is suppressed:
https://github.com/LimeSurvey/LimeSurvey/commit/c3d25219b8e939814e116c3264b71ebd7431c9fc#diff-f5392477bcb7ace25c65e8bd7abd39e9R141

On this line nice message should be shown:
https://github.com/LimeSurvey/LimeSurvey/blob/f62d45ef6c72bd16a65557b43e0c29070888314e/application/core/LSYii_Application.php#L158

DenisChenu

DenisChenu

2019-05-10 15:16

developer   ~51865

Thanks you , no i unserstand why i don't have nothing in https://github.com/LimeSurvey/LimeSurvey/blob/f62d45ef6c72bd16a65557b43e0c29070888314e/application/controllers/SurveysController.php#L64 width debug at 0 :)

DenisChenu

DenisChenu

2019-05-10 15:19

developer   ~51867

@dominikvitt : what is your advice :

  1. Throws simple CDbException with default Yii behaviour
  2. Thows CDbException with vanilla theme
  3. Throw another exception ?
dominikvitt

dominikvitt

2019-05-10 16:12

developer   ~51889

@DenisChenu:
For debug mode turned off, it shouldn't be CDbException but some nice custom message, something like "Unable to connect to database specified in application/config/config.php file".
For debug mode turned on should stay as it is.

DenisChenu

DenisChenu

2019-05-11 10:26

developer   ~51899

Can not translate : gT don't exist at this time …
Yii error seems clean enough (checked with invalid DB, invalid username : same error.

I have just 'connectionString' => '' ,than didn't throw any error …
I want this : https://github.com/LimeSurvey/LimeSurvey/blob/49237af44f162e584c2ac931b06a22d973e27150/framework/db/CDbConnection.php#L387 but seems Yii::app()->db->getConnectionStatus() don't use open function ????



DenisChenu

DenisChenu

2019-05-11 12:02

developer   ~51901

https://github.com/LimeSurvey/LimeSurvey/pull/1276

DenisChenu

DenisChenu

2019-05-13 14:54

developer   ~51927

Cleaner : https://github.com/LimeSurvey/LimeSurvey/pull/1279

dominikvitt

dominikvitt

2019-05-13 15:12

developer   ~51929

https://github.com/LimeSurvey/LimeSurvey/commit/a6ace6c5a4d53a8892d12edd5a1f87a6202cf4fb

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52182

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28900

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52214

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master a6ace6c5

2019-05-13 15:11:07

DenisChenu


Committer: Dominik Vitt Details Diff
Fixed issue 14875: No error is shown at debug=0 if DB is broken (#1279) Affected Issues
14875
mod - application/core/LSYii_Application.php Diff File

Issue History

Date Modified Username Field Change
2019-05-09 16:03 DenisChenu New Issue
2019-05-09 16:03 DenisChenu File Added: CDbException.html
2019-05-09 16:07 DenisChenu Summary No error is shown if DB is broken => No error is shown at debug=0 if DB is broken
2019-05-09 16:07 DenisChenu Additional Information Updated View Revisions
2019-05-09 16:08 DenisChenu Additional Information Updated View Revisions
2019-05-10 14:31 dominikvitt Note Added: 51864
2019-05-10 15:14 DenisChenu Assigned To => DenisChenu
2019-05-10 15:14 DenisChenu Status new => assigned
2019-05-10 15:16 DenisChenu Note Added: 51865
2019-05-10 15:19 DenisChenu Note Added: 51867
2019-05-10 16:12 dominikvitt Note Added: 51889
2019-05-11 10:26 DenisChenu File Added: Capture d’écran du 2019-05-11 10-23-16.png
2019-05-11 10:26 DenisChenu Note Added: 51899
2019-05-11 12:02 DenisChenu Note Added: 51901
2019-05-13 14:54 DenisChenu Note Added: 51927
2019-05-13 15:12 dominikvitt Status assigned => resolved
2019-05-13 15:12 dominikvitt Resolution open => fixed
2019-05-13 15:12 dominikvitt Fixed in Version => 3.17.x
2019-05-13 15:12 dominikvitt Note Added: 51929
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master a6ace6c5
2019-05-29 16:12 DenisChenu Note Added: 52182
2019-05-29 16:39 c_schmitz Note Added: 52214
2019-05-29 16:39 c_schmitz Status resolved => closed